| Qore Programming Language Reference Manual 1.0.8

Public Member Functions | List of all members
Qore::Expression Class Reference

Expression objects represent a single executable expression. More...

## Public Member Functions
| constructor (Program pgm, string source, string label)
| Creates the expression object. More...
auto | eval ()
| Evaluates the expression and returns any return value. More...

## Detailed Description

Expression objects represent a single executable expression.

Since
  Qore 0.9.5

## Member Function Documentation

## ◆ constructor()

Qore::Expression::constructor | ( | Program | pgm,
|  | string | source,
|  | string | label
| ) |  |

Creates the expression object.

Parameters

  pgm | The Program object where the expression will be created
  source | The source to the expression
  label | the label for the expression

## ◆ eval()

auto Qore::Expression::eval | ( |  | ) |

Evaluates the expression and returns any return value.

Returns
  The return value of the expression after evaluation